%define pkgname Zukitwo

Name:           zukitwo
Version:        20131210
Release:        %mkrel 2
Summary:        Themes for GTK+2, GTK+3, Metacity, GNOME Shell and Xfwm4
Group:          Graphical desktop/Other
License:        GPLv3
URL:            http://lassekongo83.deviantart.com/art/Zukitwo-203936861
Source0:        http://www.deviantart.com/download/203936861/%{name}_by_lassekongo83-d3df2ot.zip
BuildArch:      noarch      

%description
The %{pkgname} themes for GTK+2, GTK+3, Metacity, GNOME Shell and Xfwm4.


%package common
Summary:        Files common to %{pkgname} themes
Group:          Graphical desktop/Other

%description common
Files which are common to all %{pkgname} themes.


%package gtk2-theme
Summary:        %{pkgname} GTK+2 themes
Group:          Graphical desktop/Other
Requires:       %{name}-common = %{version}-%{release}
Requires:       gtk-murrine-engine
Requires:       gtk2-theme-engines

%description gtk2-theme
Themes for GTK+2 as part of the %{pkgname} theme.


%package gtk3-theme
Summary:        %{pkgname} GTK+3 themes
Group:          Graphical desktop/GNOME
Requires:       %{name}-common = %{version}-%{release}

%description gtk3-theme
Themes for GTK+3 as part of the %{pkgname} theme.


%package metacity-theme
Summary:        %{name} Metacity themes
Group:          Graphical desktop/GNOME
Requires:       %{name}-common = %{version}-%{release} 
Requires:       metacity

%description metacity-theme
Themes for Metacity as part of the %{pkgname} theme.


%package -n gnome-shell-theme-%{name}
Summary:        %{pkgname} GNOME Shell theme
Group:          Graphical desktop/GNOME
Requires:       %{name}-common = %{version}-%{release}
Requires:       gnome-shell-extensions-user-theme >= 3.10
Requires:       google-droid-sans-fonts

%description -n gnome-shell-theme-%{name}
%{pkgname} GNOME Shell theme.


%package xfwm4-theme
Summary:        %{pkgname} Xfwm4 themes
Group:          Graphical desktop/Xfce
Requires:       %{name}-common = %{version}-%{release}
Requires:       xfwm4

%description xfwm4-theme
Themes for Xfwm4 as part of the %{pkgname} theme.


%prep
%setup -q -c -n %{name}_by_lassekongo83-d3df2ot

# Remove "Thumbs.db" files
find . -name Thumbs.db -type f -exec rm -f '{}' \;
# Fix end-of-line encoding of "README"
sed -i 's/\r//' README
# Fix text encoding of "README" 
iconv -f iso8859-1 -t utf-8 README > README.conv && mv -f README.conv README
# Remove Unity stuff
rm %{pkgname}/gtk-3.0/unity.css
rm -r %{pkgname}/unity/
# Remove "index.theme"
rm %{pkgname}/index.theme


%build


%install
mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{pkgname}
cp -pr %{pkgname}/* %{buildroot}%{_datadir}/themes/%{pkgname}
mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{pkgname}/gnome-shell
cp -pr %{pkgname}-Shell/gnome-shell/* %{buildroot}%{_datadir}/themes/%{pkgname}/gnome-shell


%files common
%doc COPYING README
%dir %{_datadir}/themes/%{pkgname}/


%files gtk2-theme
%{_datadir}/themes/%{pkgname}/gtk-2.0/


%files gtk3-theme
%{_datadir}/themes/%{pkgname}/gtk-3.0/


%files metacity-theme
%{_datadir}/themes/%{pkgname}/metacity-1/


%files -n gnome-shell-theme-%{name}
%{_datadir}/themes/%{pkgname}/gnome-shell/


%files xfwm4-theme
%{_datadir}/themes/%{pkgname}/xfwm4/


%changelog
* Fri Feb 07 2014 Adrien.D (MLO Team) <adrien.d> 20131210-2.mga4
- Correct package's name.
- Add pkgname field

* Fri Feb 07 2014 Adrien.D (MLO Team) <adrien.d> 20131210-1.mga4
- New RPM Package

